#include <tads.h>

/*
 * An XTads test game.
 * Tab stops in a vertical banner.
 */
main()
{
	local b0 = nil;
    
    "A banner test game for XTads.\b\b";

    local b1 = bannerCreate(b0, BannerFirst, nil, BannerTypeText, BannerAlignRight,
                       60, BannerSizePercent,
                       BannerStyleVScroll | BannerStyleAutoVScroll | BannerStyleBorder);
    bannerSay(b1,
		'a<tab id=t1>bcd<tab id=t2>efghiiiiij<tab id=t3>kkkk<tab id=t4>M???????<tab id=t5>5<br>
		<tab to=t1>b<tab to=t2>e<tab to=t3>k<tab to=t4>M?<tab to=t5>5?<br>
		<p>
		<tab to=t1>b<tab to=t2>e<tab to=t3>k<br>
		<p>
		<tab to=t2>e<tab to=t3>k<br>
		<p>
		<tab to=t3>k<br>'
		);
    "Press a key to continue...\n";
    inputKey();
}

